//
// Created by zhang on 2024/12/25.
//

#include"sqlite3.h"

#include <stdio.h>

#ifndef FUNCTION_H
#define FUNCTION_H

void Login(char *username,char*password,int *recall,char *errmsg);

void Signin(const char *username,const char*password,int *recall,char *errmsg);

void myexit();

void db_create(int *recall,char *errmsg);

int stu_type_check();

void stu_type_insert(char *name,char *class,char *majority,int *recall,char *errmsg);

void add(char* test,int *recall,char* errmsg);

void calculate(char *expre,int *recall,char *errmsg,double *answer);
#endif //FUNCTION_H
